called when outer service updated any order has back/pre items, Allocation service after release - Fabric

called when outer service updated any order has back/pre items, Allocation service after release

cURL

curl --request POST \
  --url https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\
{\
  "orderNumbers": [\
    "order-1656594188",\
    "order-1656594944"\
  ]\
}'

Python

import requests

url = "https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-update"

payload = { "orderNumbers": ["order-1656594188", "order-1656594944"] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({orderNumbers: ['order-1656594188', 'order-1656594944']})
};

fetch('https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-update', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Example Response

{
  "message": "Bad Request"
}
{
  "message": "Object Not Found."
}
{
  "message": "Internal Server Error"
}

Authorizations

Authorization header is required. Format: Bearer <token>

Body

The body is of type string. Example:

{
  "orderNumbers": ["order-1656594188", "order-1656594944"]
}